PASSWD(1)

NAME
passwd - ändert das Passwort eines Benutzers

ÜBERSICHT

passwd [options] [LOGIN]

BESCHREIBUNG

The passwd command changes passwords for user accounts. A normal user may only change the password for their own account, while the superuser may change the password for any account. passwd also changes the account or associated password validity period.

  Verändern des Passworts

Der Benutzer wird zuerst nach seinem alten Passwort gefragt, falls eines vorhanden ist. Dieses Passwort wird dann verschlüsselt und mit dem gespeicherten Passwort verglichen. Der Benutzer hat nur eine Gelegenheit, das richtige Passwort einzugeben. Der Systemadministrator kann diesen Schritt überspringen, um so vergessene Passwörter zu ändern.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

Der Benutzer wird dann aufgefordert, zweimal ein neues Passwort einzugeben. Beide Eingaben werden miteinander verglichen. Sie müssen übereinstimmen, damit das Passwort geändert wird.

Then, the password is tested for complexity. passwd will reject any password which is not suitably complex. Care must be taken not to include the system default erase or kill characters.

  Hinweise zu Benutzerpasswörtern

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The legacy UNIX System encryption method is based on the NBS DES algorithm. More recent methods are now recommended (see ENCRYPT_METHOD). The size of the key space depends upon the randomness of the password which is selected.

Die unbedachte Auswahl von oder der sorglose Umgang mit ihnen macht Passwörter unsicher. Daher sollten Sie kein Passwort wählen, das in einem Wörterbuch auftaucht oder das aufgeschrieben werden muss. Das Passwort sollte zudem weder ein echter Name, noch Ihr Autokennzeichen, Geburtstag oder Ihre Adresse sein. All dies kann versuchsweise für Angriffe auf das System benutzt werden.

As a general guideline, passwords should be long and random. It's fine to use simple character sets, such as passwords consisting only of lowercase letters, if that helps memorizing longer passwords. For a password consisting only of lowercase English letters randomly chosen, and a length of 32, there are 26^32 (approximately 2^150) different possible combinations. Being an exponential equation, it's apparent that the exponent (the length) is more important than the base (the size of the character set).

You can find advice on how to choose a strong password on https://en.wikipedia.org/wiki/Password_strength

OPTIONEN

The options which apply to the passwd command are:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    löscht das Passwort eines Benutzers (macht es leer). Dies ist ein schneller Weg, um das Passwort eines Kontos zu deaktivieren. Dem Konto ist dann kein Passwort zugeordnet.

-e, --expire
    macht dem Passwort sofort ungültig. Damit ist der Benutzer gezwungen, das Passwort bei der nächsten Anmeldung zu ändern.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    gibt an, dass nur abgelaufene Passwörter geändert werden sollen und der Benutzer ein gültiges behalten will.

-l, --lock
    sperrt das Passwort des bezeichneten Kontos. Die Option schaltet ein Passwort ab, indem es ihm einen Wert zuweist, der mit keinem möglichen verschlüsselten Wert übereinstimmen kann. Dies geschieht, indem ein »!« dem Passwort vorangestellt wird.

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this sets the account's expire date to Jan 2, 1970).

    Benutzer mit einem gesperrten Passwort können dieses nicht ändern.

-n, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change their password at any time.

-q, --quiet
    stiller Modus

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-P, --prefix PREFIX_DIR
    Apply changes to configuration files under the root filesystem found under the directory PREFIX_DIR. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. No PAM support. No SELINUX support.

-S, --status
    zeigt den Status des Kontos an. Er setzt sich aus Informationen in sieben Feldern zusammen. Das erste Feld ist der Anmeldename des Benutzers. Das zweite Feld zeigt an, ob das Benutzerkonto ein gesperrtes Passwort (L), kein Passwort (NP) oder ein verwendbares Passwort hat (P). Das dritte Feld zeigt das Datum der letzten Änderung des Passworts an. Die nächsten vier Felder sind die Mindest- und Höchstzeit für seine Verwendung, die Vorwarnzeit und die Karenzzeit in Zusammenhang mit seinem Ablauf. Diese Zeiten werden in Tagen ausgedrückt.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using the -l option).

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that their password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

-s, --stdin
    This option is used to indicate that passwd should read the new password from standard input, which can be a pipe.

WARNUNGEN

Die Prüfung des Passwortes auf Komplexität kann je nach System verschieden sein. Benutzer und Benutzerinnen werden angehalten, ein komplexes aber noch angenehmes Passwort zu wählen.

Benutzer können unter Umständen ihr Passwort nicht ändern, wenn auf dem System NIS aktiviert ist, sie aber nicht am NIS-Server angemeldet sind.

passwd uses PAM to authenticate users and to change their passwords.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    geschützte Informationen zu den Benutzerkonten

/etc/pam.d/passwd
    PAM configuration for passwd.

RÜCKGABEWERTE

The passwd command exits with the following values:

0
    success

1
    permission denied

2
    invalid combination of options

3
    unexpected failure, nothing done

4
    unexpected failure, passwd file missing

5
    passwd file busy, try again

6
    invalid argument to option

SIEHE AUCH

chpasswd(8), makepasswd(1), passwd(5), shadow(5), usermod(8).

The following web page comically (yet correctly) compares the strength of two different methods for choosing a password: "https://xkcd.com/936/"